﻿#language: ru

@OrdersConfirmation

Функционал: 009. OrdersConfirmation. Подтверждение заказов в АРМе Формирование планов отгрузки

Сценарий: 009.1. OrdersConfirmation. Проверка заполнения АРМа при выборе сценария по которому нет заявок

	Дано Я подключаюсь под "Подтверждение заказов"
	Когда Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой без этапов - без заявки"
	Тогда таблица "ТаблицаРаспределения" стала равной:
		| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг' | 'Итого'    | 'Заказано' |
		| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '35'           | '26'      | '35'              | '35'       | ''             | ''   | '89'       | '35'       |
		| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''   | '-24'      | '11'       |
		| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | ''             | ''   | '-128,125' | '61,5'     |
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.2. OrdersConfirmation. Проверка АРМа при выборе сценария без этапов

	Когда Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой без этапов"
	* Проверка заполнения АРМа по настройкам
		Тогда элемент формы с именем "НастройкаФормирования" стал равен 'Настройки с обрезкой без этапов'
		И элемент формы с именем "ДатаОтгрузкиШапка" стал равен '11.10.2020'
		И элемент формы с именем "ДатаОтгрузки" стал равен '11.10.2020'
		И элемент формы с именем "ТекущаяДата" стал равен '09.10.2020'
		И элемент формы с именем "ДатаЗаявки" стал равен '10.10.2020'
		И элемент формы с именем "СценарийЗаявки" стал равен 'Сценарий планирования заявок на производство 1'
		И элемент формы с именем "СписокСкладов" стал равен 'Сырная ГП'
		И элемент формы с именем "ЭтапЗаявкиДляЧтения" стал равен ''
		И элемент формы с именем "ЭтапЗаказаКлиентаДляЧтения" стал равен ''
		И элемент формы с именем "ЭтапЗаказаКлиентаДляЗаписи" стал равен ''
		И элемент формы с именем "СостояниеЗаказаКлиента" стал равен ''
		И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЧтения" стал равен ''
		И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЗаписи" стал равен ''
		И элемент формы с именем "СостояниеЗаказаНаПеремещение" стал равен ''
		И элемент формы с именем "СписокТочекДоставки" стал равен 'Ашан. Скидочный регион'
		И элемент формы с именем "СписокСкладовПолучателей" стал равен 'Куриная ГП'
		И элемент формы с именем "СписокТоварныхКатегорий" стал равен 'Мягкие сыры; Мясо птицы; Полутвердые сыры'
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '35'           | '26'      | '35'              | '35'       | '150'          | '150' | '239'     | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''    | '-24'     | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | '100'          | '100' | '-28,125' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'     | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "13"
		И Я проверяю что поле подтверждено для заказа клиента равно "13"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "66,625"
		И Я проверяю что поле подтверждено для заказа клиента равно "66,625"
	* Проверка открытия заказа клиента
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
		Тогда открылось окно 'Заказ клиента * от * [Создан]'
		И Я закрываю окно 'Заказ клиента * от * [Создан]'
		Тогда открылось окно 'Формирование планов отгрузки *'
	* Проверка открытия заказа на перемещение
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
		Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
		И Я закрываю окно 'Заказ на перемещение * от * [Создан]'
		Тогда открылось окно 'Формирование планов отгрузки *'
	* Проверка компактного режима
		И я нажимаю на кнопку с именем 'КомпактныйРежим'
		Если в таблице "ТаблицаРаспределения" есть колонки Тогда
			| 'Ед.' | 'Крат.' | 'Заказано' |
			| 'кг'  | '1'     | '11'       |
			| 'кг'  | '5,125' | '61,5'     |
			| 'кг'  | '1,1'   | '35'       |
			| 'кг'  | '1'     | ''         |
			Тогда я вызываю исключение "Компактный режим не работает"
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Номенклатура'               | 'Характеристика'    | 'Остаток' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Исходные' | 'Скорректировано' | 'кг'  | 'ед. хранения' | 'Итого'   |
			| 'Крылья куринные (подложка)' | '<не используются>' | '124'     | '150'       | '35'           | '26'      | '35'       | '35'              | '150' | '150'          | '239'     |
			| 'Сыр Адыгейский'             | '<Без маркировки>'  | ''        | ''          | '11'           | '220'     | '24'       | '24'              | ''    | ''             | '-24'     |
			| 'Сыр Адыгейский'             | 'Ашан'              | ''        | '100'       | '61,5'         | '281,875' | '128,125'  | '128,125'         | '100' | '100'          | '-28,125' |
			| 'Сыр Адыгейский'             | 'Перекресток'       | ''        | ''          | ''             | ''        | ''         | ''                | '120' | '120'          | '120'     |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле подтверждено для заказа клиента равно "13"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле подтверждено для заказа клиента равно "66,625"
	* Отключение компактного режима
		И я нажимаю на кнопку с именем 'КомпактныйРежим'
	* Скрыть детальный расчет
		И я нажимаю на кнопку с именем 'ПоказатьСкрытьДетальныйРасчет'
		Если в таблице "ТаблицаРаспределения" есть колонки Тогда
			| 'Остаток' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  |
			| '124'     | '150'       | '35'           | '26'      | '35'              | '35'       | '150'          | '150' |
			| ''        | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''    |
			| ''        | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | '100'          | '100' |
			| ''        | ''          | ''             | ''        | ''                | ''         | '120'          | '120' |
			Тогда я вызываю исключение "Скрыть детальный расчет не работает"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Номенклатура'               | 'Ед.' | 'Заказано' | 'Характеристика'    | 'Крат.' | 'Итого'   | 'Подтверждено' |
			| 'Крылья куринные (подложка)' | 'кг'  | '35'       | '<не используются>' | '1,1'   | '239'     | '35'           |
			| 'Сыр Адыгейский'             | 'кг'  | '11'       | '<Без маркировки>'  | '1'     | '-24'     | '11'           |
			| 'Сыр Адыгейский'             | 'кг'  | '61,5'     | 'Ашан'              | '5,125' | '-28,125' | '61,5'         |
			| 'Сыр Адыгейский'             | 'кг'  | ''         | 'Перекресток'       | '1'     | '120'     | ''             |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "13"
		И Я проверяю что поле подтверждено для заказа клиента равно "13"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "66,625"
		И Я проверяю что поле подтверждено для заказа клиента равно "66,625"
	* Возвращение детального расчета
		И я нажимаю на кнопку с именем 'ПоказатьСкрытьДетальныйРасчет'
	* Проверка кнопок нет и отмена при обновлении формы АРМа
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'               |
			| 'Крылья куринные (подложка)' |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "25,000"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '25,3'         | '26'      | '25,3'            | '35'       | '150'          | '150' | '248,7'   | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''    | '-24'     | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | '100'          | '100' | '-28,125' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'     | ''         |
		И я нажимаю на кнопку с именем 'ТоварыОбновитьТаблицуТовары'
		Тогда открылось окно 'Сохранить документы?'
		И я нажимаю на кнопку 'Отмена'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '25,3'         | '26'      | '25,3'            | '35'       | '150'          | '150' | '248,7'   | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''    | '-24'     | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | '100'          | '100' | '-28,125' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'     | ''         |
		И я нажимаю на кнопку с именем 'ТоварыОбновитьТаблицуТовары'
		Тогда открылось окно 'Сохранить документы?'
		И я нажимаю на кнопку 'Нет'
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '35'           | '26'      | '35'              | '35'       | '150'          | '150' | '239'     | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '24'              | '24'       | ''             | ''    | '-24'     | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '128,125'         | '128,125'  | '100'          | '100' | '-28,125' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'     | ''         |
	* Проверка обнулить колонку
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОбнулитьКолонкуПодтверждено' на элементе формы с именем "ТаблицаРаспределения"
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '35'           | '26'      | '35'              | '35'       | '150'          | '150' | '239'   | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '61,5'         | '281,875' | '61,5'            | '128,125'  | '100'          | '100' | '38,5'  | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "13"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "66,625"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Проверка - обнулить строку
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОбнулитьПоСтрокеПодтверждено' на элементе формы с именем "ТаблицаРаспределения"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '35'           | '26'      | '35'              | '35'       | '150'          | '150' | '239'   | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | ''             | '281,875' | ''                | '128,125'  | '100'          | '100' | '100'   | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "13"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "66,625"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Проверка возможности обнуления вручную при кратности
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'               |
			| 'Крылья куринные (подложка)' |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "0,000"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | ''             | '26'      | ''                | '35'       | '150'          | '150' | '274'   | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | ''             | '281,875' | ''                | '128,125'  | '100'          | '100' | '100'   | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
	* Изменение количества вручную
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'               |
			| 'Крылья куринные (подложка)' |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "25,000"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "67,000"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '25,3'         | '26'      | '25,3'            | '35'       | '150'          | '150' | '248,7' | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '71,75'        | '281,875' | '71,75'           | '128,125'  | '100'          | '100' | '28,25' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
	* Сохранение результа для одного заказа
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюСохранитьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
		* Проверка что после сохранения данные для других заказов в таблице не изменились
			Тогда таблица "ТаблицаРаспределения" стала равной:
				| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
				| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '25,3'         | '26'      | '25,3'            | '35'       | '150'          | '150' | '248,7' | '35'       |
				| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
				| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '71,75'        | '281,875' | '71,75'           | '128,125'  | '100'          | '100' | '28,25' | '61,5'     |
				| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
		* Проверка что заказ клиента не сохранился
			И в таблице "ТаблицаРаспределения" я перехожу к строке:
				| 'Номенклатура'   | 'Характеристика' |
				| 'Сыр Адыгейский' | 'Ашан'           |
			И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
			И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
			Тогда открылось окно 'Заказ клиента * от * [Создан]'
			Тогда таблица "Товары" стала равной:
				| 'Количество' | 'Номенклатура'               | 'Ед.'                | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
				| '13,000'     | 'Сыр Адыгейский'             | 'кг'                 | '<Без маркировки>'  | '1 105,00'   | ''                  | '13,000, кг'     | '85,00'     | '85,00'           | '20%'   | '184,17' | '1 105,00'   | '13'      | 'Сырная ГП'      |
				| '13,000'     | 'Сыр Адыгейский'             | 'упак (5 кг) (Ашан)' | 'Ашан'              | '5 663,13'   | ''                  | '66,625, кг'     | '85,00'     | '85,00'           | '20%'   | '943,86' | '5 663,13'   | '133,25'  | 'Сырная ГП'      |
				| '27,000'     | 'Сыр Костромской'            | 'кг'                 | '<Без маркировки>'  | '1 215,00'   | ''                  | '27,000, кг'     | '45,00'     | '45,00'           | '18%'   | '185,34' | '1 215,00'   | '27'      | 'Сырная ГП'      |
				| '13,000'     | 'Крылья куринные (подложка)' | 'кг'                 | '<не используются>' | '1 235,00'   | '<не используются>' | '13,000, кг'     | '95,00'     | '95,00'           | '20%'   | '205,83' | '1 235,00'   | '13'      | 'Куриная ГП'     |
			И Я закрываю окно 'Заказ клиента * от * [Создан]'
			Тогда открылось окно 'Формирование планов отгрузки *'
		* Проверка что заказ на перемещение сохранился
			И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
			И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
			Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
			И таблица "Товары" стала равной:
				| 'Количество' | 'Номенклатура'               | 'Ед.'                | 'Характеристика'    | 'Подтвержденный - Заказ на перемещение' | 'Серия'             | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
				| '11,000'     | 'Сыр Адыгейский'             | 'кг'                 | '<Без маркировки>'  | ''                                      | ''                  | ''                                | '11,000, кг'     | '11'      |
				| '14,000'     | 'Сыр Адыгейский'             | 'упак (5 кг) (Ашан)' | 'Ашан'              | ''                                      | ''                  | ''                                | '71,750, кг'     | '143,5'   |
				| ''           | 'Сыр Костромской'            | 'кг'                 | '<Без маркировки>'  | ''                                      | ''                  | ''                                | 'кг'             | ''        |
				| '25,300'     | 'Крылья куринные (подложка)' | 'кг'                 | '<не используются>' | ''                                      | '<не используются>' | ''                                | '25,300, кг'     | '25,3'    |
			И Я закрываю окно 'Заказ на перемещение * от * [Создан]'
			Тогда открылось окно 'Формирование планов отгрузки *'
	* Добавление номенклатуры
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюДобавитьНоменклатуру' на элементе формы с именем "ТаблицаРаспределения"
		Тогда открылось окно 'Подбор номенклатуры'
		И в таблице "СписокИерархия" я перехожу к строке:
			| 'Ссылка' |
			| 'Сыры'   |
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Пошехонский' |
		И в таблице "Список" я выбираю текущую строку
		И я перехожу к закладке с именем "Страница_Характеристика"
		И в таблице "СписокХарактеристик" я перехожу к строке:
			| 'Наименование' |
			| 'Ашан'         |
		И в таблице "СписокХарактеристик" я выбираю текущую строку
		И я перехожу к закладке с именем "Страница_Номенклатура"
		И я нажимаю на кнопку с именем 'ОК'
		Тогда открылось окно 'Формирование планов отгрузки *'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '98'      | '<не используются>' | '1,1'   | '150'       | '25,3'         | '52'      | '25,3'            | '35'       | '150'          | '150' | '222,7' | '35'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '440'     | '11'              | '24'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '71,75'        | '563,75'  | '71,75'           | '128,125'  | '100'          | '100' | '28,25' | '61,5'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
			| 'кг'  | 'Сыр Пошехонский'            | ''        | 'Ашан'              | '1'     | '300'       | ''             | '312,625' | ''                | ''         | ''             | ''    | ''      | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'    | 'Характеристика' |
			| 'Сыр Пошехонский' | 'Ашан'           |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "5,000"
	* Сохранение всех результатов
		И я нажимаю на кнопку с именем 'ТоварыСохранитьПодтверждениеЗаказов'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '124'     | '<не используются>' | '1,1'   | '150'       | '25,3'         | '26'      | '25,3'            | '25,3'     | '150'          | '150' | '248,7' | '25,3'     |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '11'           | '220'     | '11'              | '11'       | ''             | ''    | '-11'   | '11'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '100'       | '71,75'        | '281,875' | '71,75'           | '71,75'    | '100'          | '100' | '28,25' | '71,75'    |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '120'          | '120' | '120'   | ''         |
			| 'кг'  | 'Сыр Пошехонский'            | ''        | 'Ашан'              | '1'     | '300'       | '5'            | '312,625' | '5'               | '5'        | ''             | ''    | '-5'    | '5'        |
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.3. OrdersConfirmation. Проверка измененного заказа клиента без этапов

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Состояние' | 'Сумма' | 'Точка доставки'         |
		| '11.10.2020'    | '11.10.2020'    | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Создан'    | 'RUB'   | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан]'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| ''           | 'Сыр Адыгейский'             | ''                         | 'кг'                 | '<Без маркировки>'  | ''           | ''                  | ''                               | 'кг'             | '85,00'     | '85,00'           | '20%'   | ''         | ''           | ''        | 'Сырная ГП'      |
		| ''           | 'Сыр Адыгейский'             | ''                         | 'упак (5 кг) (Ашан)' | 'Ашан'              | ''           | ''                  | ''                               | 'кг'             | '85,00'     | '85,00'           | '20%'   | ''         | ''           | ''        | 'Сырная ГП'      |
		| ''           | 'Сыр Костромской'            | ''                         | 'кг'                 | '<Без маркировки>'  | ''           | ''                  | ''                               | 'кг'             | '45,00'     | '45,00'           | '18%'   | ''         | ''           | ''        | 'Сырная ГП'      |
		| ''           | 'Крылья куринные (подложка)' | ''                         | 'кг'                 | '<не используются>' | ''           | '<не используются>' | ''                               | 'кг'             | '95,00'     | '95,00'           | '20%'   | ''         | ''           | ''        | 'Куриная ГП'     |
	И Я закрываю окно 'Заказ клиента * от * [Создан]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.4. OrdersConfirmation. Проверка измененного заказа на перемещение без этапов

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние' |
		| '11.10.2020' | 'Организация' | '11.10.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Куриная ГП' | 'Создан'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.'                | 'Характеристика'    | 'Подтвержденный - Заказ на перемещение' | 'Серия'             | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '11,000'     | 'Сыр Адыгейский'             | 'кг'                 | '<Без маркировки>'  | ''                                      | ''                  | ''                                | '11,000, кг'     | '11'      |
		| '14,000'     | 'Сыр Адыгейский'             | 'упак (5 кг) (Ашан)' | 'Ашан'              | ''                                      | ''                  | ''                                | '71,750, кг'     | '143,5'   |
		| ''           | 'Сыр Костромской'            | 'кг'                 | '<Без маркировки>'  | ''                                      | ''                  | ''                                | 'кг'             | ''        |
		| '25,300'     | 'Крылья куринные (подложка)' | 'кг'                 | '<не используются>' | ''                                      | '<не используются>' | ''                                | '25,300, кг'     | '25,3'    |
		| '5,000'      | 'Сыр Пошехонский'            | 'кг'                 | 'Ашан'              | ''                                      | ''                  | ''                                | '5,000, кг'      | '5'       |
	И Я закрываю окно 'Заказ на перемещение * от * [Создан]'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 009.5. OrdersConfirmation. Проверка АРМа при выборе сценария с этапами

	Когда Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой по этапам"
	* Проверка заполнения АРМа по настройкам
		Тогда элемент формы с именем "НастройкаФормирования" стал равен 'Настройки с обрезкой по этапам'
		И элемент формы с именем "ДатаОтгрузкиШапка" стал равен '18.10.2020'
		И элемент формы с именем "ДатаОтгрузки" стал равен '18.10.2020'
		И элемент формы с именем "ТекущаяДата" стал равен '16.10.2020'
		И элемент формы с именем "ДатаЗаявки" стал равен '17.10.2020'
		И элемент формы с именем "СценарийЗаявки" стал равен 'Сценарий планирования заявок на производство 2'
		И элемент формы с именем "СписокСкладов" стал равен 'Сырная ГП'
		И элемент формы с именем "ЭтапЗаявкиДляЧтения" стал равен 'Подтвержденный - Заявка на производство'
		И элемент формы с именем "ЭтапЗаказаКлиентаДляЧтения" стал равен 'Исходный - Заказ клиента'
		И элемент формы с именем "ЭтапЗаказаКлиентаДляЗаписи" стал равен 'Подтвержденный - Заказ клиента'
		И элемент формы с именем "СостояниеЗаказаКлиента" стал равен 'Заказ клиента подтвержден'
		И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЧтения" стал равен 'Исходный - Заказ на перемещение'
		И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЗаписи" стал равен 'Подтвержденный - Заказ на перемещение'
		И элемент формы с именем "СостояниеЗаказаНаПеремещение" стал равен 'Подтвержден - перемещение'
		И элемент формы с именем "СписокТочекДоставки" стал равен 'Ашан. Скидочный регион'
		И элемент формы с именем "СписокСкладовПолучателей" стал равен 'Куриная ГП'
		И элемент формы с именем "СписокТоварныхКатегорий" стал равен 'Мягкие сыры; Мясо птицы; Полутвердые сыры'
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'    | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | ''             | '27'      | ''                | '18'       | '450'          | '450' | '623'      | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | ''             | '139'     | ''                | '42'       | ''             | ''    | ''         | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | ''             | '773,875' | ''                | '220,375'  | '400'          | '400' | '400'      | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '420'          | '420' | '420'      | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "153,75"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Перекресток'    |
		И Я проверяю что поле заказано для заказа клиента равно ""
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Проверка - обнулить строку
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я ввожу в поле подтверждено для заказа клиента значение "15,000"
		И Я ввожу в поле подтверждено для заказа на перемещение значение "25,000"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | ''             | '27'      | ''                | '18'       | '450'          | '450' | '623'   | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '25'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'   | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | ''             | '773,875' | ''                | '220,375'  | '400'          | '400' | '400'   | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '420'          | '420' | '420'   | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно "15"
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОбнулитьПоСтрокеПодтверждено' на элементе формы с именем "ТаблицаРаспределения"
		И таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.'  | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'    | '200'       | ''             | '27'      | ''                | '18'       | '450'          | '450' | '623'   | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'      | ''          | ''             | '139'     | ''                | '42'       | ''             | ''    | ''      | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125'  | '150'       | ''             | '773,875' | ''                | '220,375'  | '400'          | '400' | '400'   | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'      | ''          | ''             | ''        | ''                | ''         | '420'          | '420' | '420'   | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Перенос заказанного в подтверждено общая кнопка
		И я нажимаю на кнопку с именем 'ЗаполнитьЗаказаноПодтверждено'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | '18'           | '27'      | '18'              | '18'       | '450'          | '450' | '605'     | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '12'           | '139'     | '42'              | '42'       | ''             | ''    | '-42'     | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | '66,625'       | '773,875' | '220,375'         | '220,375'  | '400'          | '400' | '179,625' | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '420'          | '420' | '420'     | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно "30"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "153,75"
		И Я проверяю что поле подтверждено для заказа клиента равно "153,75"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Перекресток'    |
		И Я проверяю что поле заказано для заказа клиента равно ""
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Перенос заказанного в подтверждено кнопка для одного заказа
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОбнулитьКолонкуПодтверждено' на элементе формы с именем "ТаблицаРаспределения"
		И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОбнулитьКолонкуПодтверждено' на элементе формы с именем "ТаблицаРаспределения"
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюЗаполнитьЗаказаноПодтвержденоКонтекстноеМеню' на элементе формы с именем "ТаблицаРаспределения"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'  | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | ''             | '27'      | ''                | '18'       | '450'          | '450' | '623'    | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | ''             | '139'     | '30'              | '42'       | ''             | ''    | '-30'    | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | ''             | '773,875' | '153,75'          | '220,375'  | '400'          | '400' | '246,25' | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | ''             | ''        | ''                | ''         | '420'          | '420' | '420'    | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно "30"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "153,75"
		И Я проверяю что поле подтверждено для заказа клиента равно "153,75"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Перекресток'    |
		И Я проверяю что поле заказано для заказа клиента равно ""
		И Я проверяю что поле подтверждено для заказа клиента равно ""
	* Изменение количества вручную
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я ввожу в поле подтверждено для заказа клиента значение "25,000"
		И Я ввожу в поле подтверждено для заказа на перемещение значение "15,000"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я ввожу в поле подтверждено для заказа клиента значение "155,000"
		И Я ввожу в поле подтверждено для заказа на перемещение значение "65,000"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'               |
			| 'Крылья куринные (подложка)' |
		И Я ввожу в поле подтверждено для заказа на перемещение значение "20,000"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Перекресток'    |
		И Я ввожу в поле подтверждено для заказа клиента значение "5,000"
		И Я ввожу в поле подтверждено для заказа на перемещение значение "5,000"
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого' | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | '20'           | '27'      | '20'              | '18'       | '450'          | '450' | '603'   | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '15'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'   | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | '65'           | '773,875' | '220'             | '220,375'  | '400'          | '400' | '180'   | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'   | ''         |
	* Сохранение результата
		И я нажимаю на кнопку с именем 'ТоварыСохранитьПодтверждениеЗаказов'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | '20'           | '27'      | '20'              | '18'       | '450'          | '450' | '603'     | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '15'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'     | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | '65'           | '773,875' | '223,875'         | '220,375'  | '400'          | '400' | '176,125' | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'     | ''         |
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика'   |
			| 'Сыр Адыгейский' | '<Без маркировки>' |
		И Я проверяю что поле заказано для заказа клиента равно "30"
		И Я проверяю что поле подтверждено для заказа клиента равно "25"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Ашан'           |
		И Я проверяю что поле заказано для заказа клиента равно "153,75"
		И Я проверяю что поле подтверждено для заказа клиента равно "158,875"
		И в таблице "ТаблицаРаспределения" я перехожу к строке:
			| 'Номенклатура'   | 'Характеристика' |
			| 'Сыр Адыгейский' | 'Перекресток'    |
		И Я проверяю что поле заказано для заказа клиента равно ""
		И Я проверяю что поле подтверждено для заказа клиента равно "5"
	* Подтверждение одного заказа
		И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюПодтвердитьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
		* Проверка что после подтвержения данные в таблице не изменились
			Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'               | 'Остаток' | 'Характеристика'    | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Крылья куринные (подложка)' | '173'     | '<не используются>' | '1,1'   | '200'       | '20'           | '27'      | '20'              | '18'       | '450'          | '450' | '603'     | '18'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | '<Без маркировки>'  | '1'     | ''          | '15'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'     | '12'       |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Ашан'              | '5,125' | '150'       | '65'           | '773,875' | '223,875'         | '220,375'  | '400'          | '400' | '176,125' | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский'             | ''        | 'Перекресток'       | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'     | ''         |
		* Проверка что у заказа клиента изменилось состояние
			И в таблице "ТаблицаРаспределения" я перехожу к строке:
				| 'Номенклатура'   | 'Характеристика' |
				| 'Сыр Адыгейский' | 'Перекресток'    |
			И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
			И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
			Тогда открылось окно 'Заказ клиента * от * [Заказ клиента подтвержден]'
			И элемент формы с именем "Состояние" стал равен 'Заказ клиента подтвержден'
			И Я закрываю окно 'Заказ клиента * от * [Заказ клиента подтвержден]'
			Тогда открылось окно 'Формирование планов отгрузки *'
		* Проверка что у заказа на перемещение не изменилось состояние
			И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
			И я выбираю пункт контекстного меню с именем 'ТаблицаРаспределенияКонтекстноеМенюОткрытьЗаказ' на элементе формы с именем "ТаблицаРаспределения"
			Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
			Тогда элемент формы с именем "Состояние" стал равен 'Создан'
			И Я закрываю окно 'Заказ на перемещение * от * [Создан]'
			Тогда открылось окно 'Формирование планов отгрузки *'
	* Подтверждение всех заказов
		И я нажимаю на кнопку с именем 'ПодтвердитьЗаказы'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.6. OrdersConfirmation. Проверка измененного заказа клиента с этапами

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Состояние'                 | 'Точка доставки'         | 'Этап'                           |
		| '18.10.2020' | '18.10.2020' | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Заказ клиента подтвержден' | 'Ашан. Скидочный регион' | 'Подтвержденный - Заказ клиента' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Заказ клиента подтвержден]'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '25,000'     | 'Сыр Адыгейский'             | '30,000'                   | 'кг'                 | '<Без маркировки>'  | '2 125,00'   | ''                  | '25,000'                         | '25,000, кг'     | '85,00'     | '85,00'           | '20%'   | '354,17'   | '2 125,00'   | '25'      | 'Сырная ГП'      |
		| '31,000'     | 'Сыр Адыгейский'             | '30,000'                   | 'упак (5 кг) (Ашан)' | 'Ашан'              | '13 504,38'  | ''                  | '31,000'                         | '158,875, кг'    | '85,00'     | '85,00'           | '20%'   | '2 250,73' | '13 504,38'  | '317,75'  | 'Сырная ГП'      |
		| ''           | 'Сыр Костромской'            | '30,000'                   | 'кг'                 | '<Без маркировки>'  | ''           | ''                  | ''                               | 'кг'             | '45,00'     | '45,00'           | '18%'   | ''         | ''           | ''        | 'Сырная ГП'      |
		| ''           | 'Крылья куринные (подложка)' | '45,000'                   | 'кг'                 | '<не используются>' | ''           | '<не используются>' | ''                               | 'кг'             | '95,00'     | '95,00'           | '20%'   | ''         | ''           | ''        | 'Куриная ГП'     |
		| '5,000'      | 'Сыр Адыгейский'             | ''                         | 'кг'                 | 'Перекресток'       | ''           | ''                  | '5,000'                          | '5,000, кг'      | ''          | ''                | '20%'   | ''         | ''           | '5'       | 'Сырная ГП'      |
	И Я закрываю окно 'Заказ клиента * от * [Заказ клиента подтвержден]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.7. OrdersConfirmation. Проверка измененного заказа на перемещение с этапами

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние'                 | 'Этап'                                  |
		| '18.10.2020' | 'Организация' | '18.10.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Куриная ГП' | 'Подтвержден - перемещение' | 'Подтвержденный - Заказ на перемещение' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от * [Подтвержден - перемещение]'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.'                | 'Характеристика'    | 'Подтвержденный - Заказ на перемещение' | 'Серия'             | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '15,000'     | 'Сыр Адыгейский'             | 'кг'                 | '<Без маркировки>'  | '15,000'                                | ''                  | '12,000'                          | '15,000, кг'     | '15'      |
		| '13,000'     | 'Сыр Адыгейский'             | 'упак (5 кг) (Ашан)' | 'Ашан'              | '13,000'                                | ''                  | '13,000'                          | '65,000, кг'     | '133,25'  |
		| ''           | 'Сыр Костромской'            | 'кг'                 | '<Без маркировки>'  | ''                                      | ''                  | '27,000'                          | 'кг'             | ''        |
		| '20,000'     | 'Крылья куринные (подложка)' | 'кг'                 | '<не используются>' | '20,000'                                | '<не используются>' | '18,000'                          | '20,000, кг'     | '20'      |
		| '5,000'      | 'Сыр Адыгейский'             | 'кг'                 | 'Перекресток'       | '5,000'                                 | ''                  | ''                                | '5,000, кг'      | '5'       |
	И Я закрываю окно 'Заказ на перемещение * от * [Подтвержден - перемещение]'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 009.8. OrdersConfirmation. Установка статуса подтвержден для заказов

	Когда Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой по этапам"

Сценарий: 009.9. OrdersConfirmation. Проверка отборов в АРМе Формирование планов отгрузки на вкладке Подтверждение заказов

	И Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой по этапам"
	Если элемент формы с именем "ТаблицаРаспределенияСвернутьРазвернутьБоковуюПанельОтбора" имеет значение '<<' Тогда
		И я нажимаю на гиперссылку с именем "ТаблицаРаспределенияСвернутьРазвернутьБоковуюПанельОтбора"
	* Проверка отбора по номенклатуре
		И из выпадающего списка с именем "_Отбор_ТаблицаРаспределенияНоменклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'   | 'Остаток' | 'Характеристика'   | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Сыр Адыгейский' | ''        | '<Без маркировки>' | '1'     | ''          | '15'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'     | '12'       |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Ашан'             | '5,125' | '150'       | '65'           | '773,875' | '223,875'         | '220,375'  | '400'          | '400' | '176,125' | '66,625'   |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Перекресток'      | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'     | ''         |
	* Проверка отбора по товарной категории
		И из выпадающего списка с именем "_Отбор_ТаблицаРаспределенияТоварнаяКатегория" я выбираю по строке 'Твердые сыры'
		Тогда в таблице "ТаблицаРаспределения" количество строк "равно" 0
		И из выпадающего списка с именем "_Отбор_ТаблицаРаспределенияТоварнаяКатегория" я выбираю по строке 'Мягкие сыры'
	* Проверка отбора по получателю
		И я нажимаю кнопку выбора у поля с именем "ОтборРаспределенияПолучатель"
		И Я выбираю "Ашан. Скидочный регион" с типом "Точка доставки"
		Тогда открылось окно 'Формирование планов отгрузки *'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'   | 'Остаток' | 'Характеристика'   | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Сыр Адыгейский' | ''        | '<Без маркировки>' | '1'     | ''          | '25'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'     | '30'       |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Ашан'             | '5,125' | '150'       | '158,875'      | '773,875' | '223,875'         | '220,375'  | '400'          | '400' | '176,125' | '153,75'   |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Перекресток'      | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'     | ''         |
	* Проверка отбора по заказу
		И я нажимаю кнопку выбора у поля с именем "ОтборРаспределенияЗаказ"
		Когда Я выбираю тип данных "Заказ клиента"
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Точка доставки'         |
			| '18.10.2020'    | '18.10.2020'    | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Ашан. Скидочный регион' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Формирование планов отгрузки *'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Ед.' | 'Номенклатура'   | 'Остаток' | 'Характеристика'   | 'Крат.' | 'Начальный' | 'Подтверждено' | 'Расход'  | 'Скорректировано' | 'Исходные' | 'ед. хранения' | 'кг'  | 'Итого'   | 'Заказано' |
			| 'кг'  | 'Сыр Адыгейский' | ''        | '<Без маркировки>' | '1'     | ''          | '25'           | '139'     | '40'              | '42'       | ''             | ''    | '-40'     | '30'       |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Ашан'             | '5,125' | '150'       | '158,875'      | '773,875' | '223,875'         | '220,375'  | '400'          | '400' | '176,125' | '153,75'   |
			| 'кг'  | 'Сыр Адыгейский' | ''        | 'Перекресток'      | '1'     | ''          | '5'            | ''        | '10'              | ''         | '420'          | '420' | '410'     | ''         |
	И Я очищаю все отборы в АРМе Формирование планов отгрузки на вкладке Подтверждение заказов
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.10. OrdersConfirmation. Проверка сохранения настроек при переоткрытии АРМа

	* Установка настроек
		И Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "Настройки с обрезкой по этапам"
		И я нажимаю на кнопку с именем 'КомпактныйРежим'
		И я нажимаю на кнопку с именем 'ПоказатьСкрытьДетальныйРасчет'
		Тогда таблица "ТаблицаРаспределения" стала равной:
			| 'Номенклатура'               | 'Характеристика'    | 'Итого'   | 'Подтверждено' |
			| 'Крылья куринные (подложка)' | '<не используются>' | '603'     | '20'           |
			| 'Сыр Адыгейский'             | '<Без маркировки>'  | '-40'     | '15'           |
			| 'Сыр Адыгейский'             | 'Ашан'              | '176,125' | '65'           |
			| 'Сыр Адыгейский'             | 'Перекресток'       | '410'     | '5'            |
		И Я закрываю АРМ Формирование планов отгрузки
	* Проверка что после закрытия АРМа настройки сохранились
		И В командном интерфейсе я выбираю 'Склад и доставка' 'Формирование плана отгрузки'
		Тогда открылось окно 'Формирование планов отгрузки [18 октября 2020 г.]'
		* Проверка настроек
			Тогда элемент формы с именем "НастройкаФормирования" стал равен 'Настройки с обрезкой по этапам'
			И элемент формы с именем "ДатаОтгрузкиШапка" стал равен '18.10.2020'
			И элемент формы с именем "ДатаОтгрузки" стал равен '18.10.2020'
			И элемент формы с именем "ТекущаяДата" стал равен '16.10.2020'
			И элемент формы с именем "ДатаЗаявки" стал равен '17.10.2020'
			И элемент формы с именем "СценарийЗаявки" стал равен 'Сценарий планирования заявок на производство 2'
			И элемент формы с именем "СписокСкладов" стал равен 'Сырная ГП'
			И элемент формы с именем "ЭтапЗаявкиДляЧтения" стал равен 'Подтвержденный - Заявка на производство'
			И элемент формы с именем "ЭтапЗаказаКлиентаДляЧтения" стал равен 'Исходный - Заказ клиента'
			И элемент формы с именем "ЭтапЗаказаКлиентаДляЗаписи" стал равен 'Подтвержденный - Заказ клиента'
			И элемент формы с именем "СостояниеЗаказаКлиента" стал равен 'Заказ клиента подтвержден'
			И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЧтения" стал равен 'Исходный - Заказ на перемещение'
			И элемент формы с именем "ЭтапЗаказаНаПеремещениеДляЗаписи" стал равен 'Подтвержденный - Заказ на перемещение'
			И элемент формы с именем "СостояниеЗаказаНаПеремещение" стал равен 'Подтвержден - перемещение'
			И элемент формы с именем "СписокТочекДоставки" стал равен 'Ашан. Скидочный регион'
			И элемент формы с именем "СписокСкладовПолучателей" стал равен 'Куриная ГП'
			И элемент формы с именем "СписокТоварныхКатегорий" стал равен 'Мягкие сыры; Мясо птицы; Полутвердые сыры'
		* Проверка таблицы
			И я нажимаю на кнопку с именем 'ТоварыОбновитьТаблицуТовары'
			Тогда таблица "ТаблицаРаспределения" стала равной:
				| 'Номенклатура'               | 'Характеристика'    | 'Итого'   | 'Подтверждено' |
				| 'Крылья куринные (подложка)' | '<не используются>' | '603'     | '20'           |
				| 'Сыр Адыгейский'             | '<Без маркировки>'  | '-40'     | '15'           |
				| 'Сыр Адыгейский'             | 'Ашан'              | '176,125' | '65'           |
				| 'Сыр Адыгейский'             | 'Перекресток'       | '410'     | '5'            |
		* Отключение кнопок
			И я нажимаю на кнопку с именем 'КомпактныйРежим'
			И я нажимаю на кнопку с именем 'ПоказатьСкрытьДетальныйРасчет'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.11. OrdersConfirmation. Завершение

	И я закрываю сеанс TESTCLIENT